
Foreman - Feature #24871

serve intermediate iPXE script to report MAC address to Foreman

09/10/2018 01:23 PM - Timo Goebel

Status: Closed   

Priority: Normal   

Assignee: Peter Lehwess   

Category: Unattended installations   

Target version:    

Difficulty:  Fixed in Releases: 1.21.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6061,

https://github.com/theforeman/communit

y-templates/pull/578,

https://github.com/theforeman/communit

y-templates/pull/579

  

Description

When a user accesses /unattended/iPXE?bootstrap=yes (or similar) an intermediate iPXE script (

https://projects.theforeman.org/projects/foreman/wiki/Fetch_boot_files_via_http_instead_of_TFTP/23#DHCP-setup-unmanaged-serv

er) should be served. The skript should be stored in a template (similar to global & local templates). It should be possible to change

the template via a settings parameter.

Related issues:

Related to Foreman - Feature #1459: iPXE support Closed

Associated revisions

Revision ee641e84 - 10/18/2018 12:22 PM - Peter Lehwess

Fixes #24871 - Serve intermediate iPXE script

Revision f329af2a - 04/15/2019 07:01 AM - Timo Goebel 

refs #24871 - ipxe intermediate template

Revision 135ad74b - 04/15/2019 07:51 AM - Lukas Zapletal 

Refs #24871 - fixed typo in intermediate script

History

#1 - 09/10/2018 01:24 PM - Timo Goebel

- Related to Feature #1459: iPXE support added

#2 - 09/10/2018 01:26 PM - Timo Goebel

The pxelinux discovery template needs updating, too.

https://github.com/theforeman/community-templates/blob/69923c46b1ca6c09c0677a781c7c2e3b90f7e522/provisioning_templates/snippet/pxelinux_d

iscovery.erb#L18-L29

#3 - 10/01/2018 11:47 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Peter Lehwess

- Pull request https://github.com/theforeman/foreman/pull/6061 added

#4 - 10/18/2018 12:22 PM - Tomer Brisker

- Fixed in Releases 1.21.0 added
#5 - 10/18/2018 01:01 PM - Peter Lehwess

- Status changed from Ready For Testing to Closed

Applied in changeset ee641e8437bf8240ad3b035e240242065c627e47.

#6 - 04/15/2019 06:59 AM - The Foreman Bot

- Pull request https://github.com/theforeman/community-templates/pull/578 added

#7 - 04/15/2019 07:48 AM - The Foreman Bot

- Pull request https://github.com/theforeman/community-templates/pull/579 added
